Bug 84848 - TOOLBAR: Removal/Hiding of cut, copy, paste in the standard toolbar
Summary: TOOLBAR: Removal/Hiding of cut, copy, paste in the standard toolbar
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:4.5.0
Keywords:
Depends on:
Blocks: ImpressDraw-Toolbars Writer-Toolbars Clipboard Calc-Toolbars
  Show dependency treegraph
 
Reported: 2014-10-09 19:12 UTC by Yousuf Philips (jay) (retired)
Modified: 2017-10-22 20:24 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments
toolbar before and after (56.46 KB, image/png)
2014-10-12 15:25 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2014-10-09 19:12:38 UTC
As suggested in my toolbar proposal (bug 81475), the removal/hiding of the cut, copy and paste buttons from writer's standard toolbar would permit the addition of other highly useful buttons to be added to the toolbar that are primarily accessible through the menu or hidden away in non-default toolbars. And now that these functions are at the top of the context menu (bug 71770) and paste special has also been added to the context menu (bug 62947), its now worth pursuing this change.

According to the OOo stats, 45 to 50% of users use the keyboard shortcut, ~40% of users use the context menu, ~7% users use the menu, and 5 to 10% of users use the toolbar. So with over 90% of users not using the toolbar to achieve these actions, these buttons are being left in the toolbar not out of necessity, but primarily out of sticking with older UI toolbar layout norms. The primary reasons why these toolbar buttons are not heavily used is that the shortcut keys are universally used by all applications and the right-click context menu is a shorter mouse movement, especially now that these functions are at the top of the menu.

Cut
 ---
 Toolbar       : 10.71%
 Menu          :  7.79%
 Keyboard      : 40.56%
 Context Menu  : 40.94%
 ---
 Usage in the standard toolbar: 4.88%

Copy
 ---
 Toolbar       :  4.92%
 Menu          :  7.91%
 Keyboard      : 49.67%
 Context Menu  : 37.50%
 ---
 Usage in the standard toolbar: 6.44%

Paste
 ---
 Toolbar       :  0.00% (i believe this to be inaccurate)
 Menu          :  6.99%
 Keyboard      : 52.82%
 Context Menu  : 40.19%

Paste Special
 ---
 Toolbar       :  0.41%
 Menu          : 65.01%
 Keyboard      : 34.46%
 Context Menu  :  0.00% (not present in context menu)

Outside of these statistics, there are applications that we use on a regular basis that dont include these buttons, though copy/cut/paste are an primary feature.

File Managers: Windows Explorer (buttons removed after windows 98), Finder, Nautilus, Dolphin (buttons previously available in Konqueror 3)

Office Suites: Apple iWork, Google Docs

Browsers: Internet Explorer, Firefox, Chrome, Safari, Opera

Text Editors: Notepad (no toolbar), Leafpad (no toolbar), Kate, Geany, Sublime Text (no toolbar)

IDEs: Visual Studio (buttons removed in version 2012), Netbeans (button removed in version 7), KDevelop, Qt Creator (no toolbar), Anjuta

With the removal of these 3 buttons, highly used buttons like 'Save As' [.uno:SaveAs] (8th most popular command in writer, more popular than italics, 97% of users goto the menu for this), 'Page Break' [.uno:InsertPagebreak] (50% of users use the keyboard and 50% of users use the menu bar, it is more popular than opening the character dialog, appears before insert table in MS Word's Insert tab, 1st item in iWork Pages toolbar insert drop down button) and 'Text Frame' [.uno:DrawText] (2nd most popular button on the drawing toolbar, large icon in MS Word's Insert tab, dedicated button in iWork Pages toolbar).

I know this change maybe an inconvenience to some users, which is why these buttons will simply be hidden in the toolbar for users to unhide if they choose to. I believe the addition of the 3 previously mentioned buttons to the toolbar will benefit all users and are a suitable reason for the removal of copy/cut/paste buttons. It should also be noted that most applications on Mac OS X have no toolbar buttons for these function, the only except that i've seen to this rule are MS Office and OpenOffice and its derivatives.

I see this issue was previously brought up by Daniel in bug 77261, so i'm only proposing this change be made to writer, as presently writer's toolbar is going through an overhaul with my toolbar proposal. I look forward to constructive criticism of this suggestion, as next week's design meeting will be discussing this.
Comment 1 Emir Sarı (away) 2014-10-09 19:52:47 UTC
I also support this change, a positive one.
Comment 2 Yousuf Philips (jay) (retired) 2014-10-12 15:25:37 UTC
Created attachment 107743 [details]
toolbar before and after

Here is a before and after screenshot of the standard toolbar with the removal of the cut, copy and paste buttons and the addition of the save as, page break, and text box buttons.

As the paste button is a group button, it takes up 1.5 times the size of a regular button, so there is sufficient room to add a fourth button. So i think the basic shapes group button (.uno:BasicShapes) would be very useful to add, as it would bring some basic drawing features to the standard toolbar, similar to how it is available in the toolbar/sidebar of other word processors (iWork Pages, WordPerfect, Calligra Words).
Comment 3 Heiko Tietze 2014-10-13 07:27:39 UTC
Word break is not a standard command since its useless on other tools than Writer. Rest +1.
Comment 4 Yousuf Philips (jay) (retired) 2014-10-13 08:13:16 UTC
(In reply to Heiko Tietze from comment #3)
> Word break is not a standard command since its useless on other tools than
> Writer. Rest +1.

This bug is limited to just Writer's toolbar. :)

I hope to suggest doing this removal in the standard toolbar of other modules in the future when i've gone through their OOo stats, so i can recommend useful button replacements. Save As would always be a good replacement button in any of the modules, but Text Frame isnt, as it is already visible in Impress and Draw.
Comment 5 Heiko Tietze 2014-10-13 08:42:23 UTC
To my understanding the standard toolbar is standard in all applications, more or less.
Comment 6 Adolfo Jayme 2014-10-13 09:56:26 UTC
Having two slightly different Save buttons seems overkill to me. I’d rather stick to the current Save icon, which doubles as Save and Save As (when the file isn’t saved to disk).
Comment 7 Yousuf Philips (jay) (retired) 2014-10-13 11:50:35 UTC
(In reply to Heiko Tietze from comment #5)
> To my understanding the standard toolbar is standard in all applications,
> more or less.

There is some standardization from the new button to the format painter button between the various apps/modules, but not after that.

(In reply to Adolfo Jayme from comment #6)
> Having two slightly different Save buttons seems overkill to me. I’d rather
> stick to the current Save icon, which doubles as Save and Save As (when the
> file isn’t saved to disk).

As they have two different function, 'Save' overwrites the currently open document and 'Save As' allows you to save to a new file and also in a different format, there might be some initial confusion because the icons look similar. I would compare this same confusion for a user looking at print and print preview, as well as spellcheck and autospellcheck. Luckily we have our faithful old tooltips to help guide users to better understand what the icons do and we have also the ability to modify the icon. :D

One noticeable different that users will easily notice about the two icons is that when they open a document, 'Save As' will be clickable and 'Save' wont be. :)
Comment 8 Timur 2014-11-05 19:56:28 UTC
I really hope the removal will NOT be done, and hiding also. We should think on less proficient users here. 
I use Paste toolbar button for Paste Special. I noticed that the captions should be changed in case when a table is about to be pasted in Writer.
Now, we have: calc8, DDE link...also GDI metafile. Can this be described better?
If this button will stay, we may come with some proposals.
Comment 9 Yousuf Philips (jay) (retired) 2014-11-06 02:52:31 UTC
So Heiko and I created a survey to ask online users about their clipboard usage behaviour, which was held at < http://user-prompt.com/how-do-you-want-libreoffices-toolbar-configured/ >. We also replied to comments made by participants, which can be found at the bottom of the blog post.

So the results of Heiko's survey showed that 8% of respondents used the toolbar for clipboard functionality, with the largest amount of respondents being keyboard shortcut users (77%).

When asked whether they agreed to the hiding of these functions in the toolbar, 49% agreed with their removal and 16% agreed with the removal of just the copy and cut buttons. One of the respondents stated in a comment that he wanted access to the paste button as it has easy access to paste special, which i replied to stating that paste special is now present in the context menu.

With 8% of respondents being toolbar clipboard users, which falls in the 5 to 10% range i stated in the bug description, i believe that these buttons can be removed for all libreoffice modules. But i have suggested that this be postponed to the release after 4.4, as many good changes are already coming to the toolbars in the 4.4 release and hopefully we can gather more data through Kendy's user data logging during the 4.4 release cycle.
Comment 10 Heiko Tietze 2014-11-08 09:06:23 UTC
Here is a conclusion of what we plan to do: http://user-prompt.com/de/standard-toolbar-in-libreoffice/
Comment 11 Timur 2014-11-11 17:09:07 UTC
(In reply to Jay Philips from comment #9)
Key point is: who those users were? I bet some advanced users, who take survey at all.
I deployed LibreOffice to 500 users. I'm sure that just 1% use keyboard shortcuts and that's Ctrl-C and Crtl-V only. 
I find myself advanced user and I still use toolbar or menu for Paste-Special.
So, when looking at the results, they can be weighted: if advanced users don't use advanced functions in toolbar, OK, you can move it, but please don't move some basic icons: cut, copy, paste.
Comment 12 Cor Nouws 2014-11-11 19:50:54 UTC
(In reply to Timur from comment #11)
> (In reply to Jay Philips from comment #9)
> Key point is: who those users were? I bet some advanced users, who take
> survey at all.
> I deployed LibreOffice to 500 users. I'm sure that just 1% use keyboard
> shortcuts and that's Ctrl-C and Crtl-V only. 
> I find myself advanced user and I still use toolbar or menu for
> Paste-Special.
> So, when looking at the results, they can be weighted: if advanced users
> don't use advanced functions in toolbar, OK, you can move it, but please
> don't move some basic icons: cut, copy, paste.

Plus: having no objection to remove something, doesn't mean that the people would object if it is _not_ removed ..
Comment 13 Yousuf Philips (jay) (retired) 2014-11-12 06:49:22 UTC
(In reply to Timur from comment #11)
> I deployed LibreOffice to 500 users. I'm sure that just 1% use keyboard
> shortcuts and that's Ctrl-C and Crtl-V only. 

What percentage of those users use the context menu for clipboard? Do these users know that clipboard functions are available in multiple locations? Do these users know how to copy and paste in other applications that dont have clipboard buttons?

> I find myself advanced user and I still use toolbar or menu for
> Paste-Special.

Paste special is now in the context menu thanks to Cor. :D

> So, when looking at the results, they can be weighted: if advanced users
> don't use advanced functions in toolbar, OK, you can move it, but please
> don't move some basic icons: cut, copy, paste.

No doubt these are basic icons, but these basic features can be operated in 5 different ways - 1) edit menu, 2) toolbar buttons, 3) shortcut keys, 4) context menu, 5) drag and drop. Othe basic icons like open, save, and print can only be activated in 3 ways (menu, toolbar, shortcut key). So eliminating the less used method of accessing the clipboard functions from the toolbar is a benefit to everyone, as it allows other highly used buttons functions to be added which users primarily go into the menu to access.

(In reply to Cor Nouws from comment #12)
> Plus: having no objection to remove something, doesn't mean that the people
> would object if it is _not_ removed ..

Yes they are indifferent of the change, which means less people to yell at us for the change. :D
Comment 14 Yousuf Philips (jay) (retired) 2014-11-23 06:38:06 UTC
Put in patch to enable 'save as' - https://gerrit.libreoffice.org/#/c/13060/
Comment 15 Commit Notification 2014-11-25 15:36:21 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=60f822e4e193c31892d5dc7a8466eba52950b015

fdo#84848 enable 'save as' button in toolbar

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Xisco Faulí 2016-09-15 21:37:54 UTC
Hi,
Is this bug fixed?
If so, could you please close it as RESOLVED FIXED?
Regards
Comment 17 mahfiaz 2016-09-20 07:07:53 UTC
It's not finished. The cut and copy buttons are still there on the toolbar.
As for me, I think these two should be removed.
Comment 18 Xisco Faulí 2017-09-29 08:29:07 UTC
Dear Yousuf Philips (jay),
This bug has been in ASSIGNED status for more than 3 months without any activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.